<?php

define('_IN_JOHNCMS', 1);

$headmod = 'world war';
$textl = 'Обменный пункт';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");

echo '<div class="phdr">Обменный пункт</div>';
include_once("tmn.php");

$action=htmlspecialchars(trim($_GET['action']));

switch ($action){

default:
echo 'У тебя есть <b>'.$datauser['balans'].'</b> баллов сайта!<br/>';
echo 'Монет в игре: <b>'.$user['coins'].'</b><br/>';  
echo 'Поменять баллы на деньги в игру по курсу 1 бал = 1 монета<br/>';
echo '<form action="?action=change" method="post">';
echo 'Сколько баллов хотите поменять:<br/>';
echo '<input name="num" type="text" value=""/><br/>';
echo '<input type="submit" value="Обменять!"/>';
echo '</form>';
break;

case 'change':
$num=(int)$_POST['num'];
if(!$num || $num<1){echo 'Пустые параметры!';break;};
if($datauser['balans']<$num){echo 'У вас нет столько балов!';break;};
$baks=$num; // ТУТ СТОИМОСТЬ ОДНОГО БАЛЛА
mysql_query("UPDATE `users` SET `balans`=`balans`-'$num' WHERE `id`='".$user_id."'");
mysql_query("UPDATE `uww` SET `coins`=`coins`+'$baks' WHERE `uid`='".$user_id."'");
echo 'Успешно!';
break;
};
include_once("foot.php");
echo '<div class="msg"><a href="index.php">В игру</a></div>';


require_once ("../incfiles/end.php");   
?>